CVE-2016-2775

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

ISC BIND 9.x before 9.9.9-P2, 9.10.x before 9.10.4-P2, and 9.11.x before 9.11.0b2, when lwresd or the named lwres option is enabled, allows remote attackers to cause a denial of service (daemon crash) via a long request that uses the lightweight resolver protocol.

References

http://www.securityfocus.com/bid/92037

http://www.securitytracker.com/id/1036360

https://access.redhat.com/errata/RHBA-2017:0651

https://access.redhat.com/errata/RHBA-2017:1767

https://access.redhat.com/errata/RHSA-2017:2533

https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c05321107

https://kb.isc.org/article/AA-01393/74/CVE-2016-2775

https://kb.isc.org/article/AA-01435

https://kb.isc.org/article/AA-01436

https://kb.isc.org/article/AA-01438

https://lists.fedoraproject.org/archives/list/[email protected]/message/7T2WJP5ELO4ZRSBXSETIZ3GAO6KOEFTA/

https://lists.fedoraproject.org/archives/list/[email protected]/message/MZUCSMEOZIZ2R2SKA4FPLTOVZHJBAOWC/

https://lists.fedoraproject.org/archives/list/[email protected]/message/NJ5STNEUHBNEPUHJT7CYEVSMATFYMIX7/

https://lists.fedoraproject.org/archives/list/[email protected]/message/TT754KDUJTKOASJODJX7FKHCOQ6EC7UX/

https://security.gentoo.org/glsa/201610-07

https://security.netapp.com/advisory/ntap-20160722-0002/

Details

Source: MITRE

Published: 2016-07-19

Updated: 2020-08-25

Type: CWE-20

Risk Information

CVSS v2

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:N/I:N/A:P

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 5.9

Vector: CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H

Impact Score: 3.6

Exploitability Score: 2.2

Severity: MEDIUM

Vulnerable Software

Configuration 1

OR

cpe:2.3:o:hp:hp-ux:b.11.31:*:*:*:*:*:*:*

Configuration 2

OR

cpe:2.3:a:isc:bind:*:*:*:*:*:*:*:* versions from 9.0 to 9.9.8 (inclusive)

cpe:2.3:a:isc:bind:9.9.9:-:*:*:*:*:*:*

cpe:2.3:a:isc:bind:9.9.9:b1:*:*:*:*:*:*

cpe:2.3:a:isc:bind:9.9.9:b2:*:*:*:*:*:*

cpe:2.3:a:isc:bind:9.9.9:p1:*:*:*:*:*:*

cpe:2.3:a:isc:bind:9.9.9:rc1:*:*:*:*:*:*

cpe:2.3:a:isc:bind:9.9.9:s1:*:*:*:*:*:*

cpe:2.3:a:isc:bind:9.9.9:s1rc1:*:*:*:*:*:*

cpe:2.3:a:isc:bind:*:*:*:*:*:*:*:* versions from 9.10.0 to 9.10.3 (inclusive)

cpe:2.3:a:isc:bind:9.10.4:-:*:*:*:*:*:*

cpe:2.3:a:isc:bind:9.10.4:beta1:*:*:*:*:*:*

cpe:2.3:a:isc:bind:9.10.4:beta2:*:*:*:*:*:*

cpe:2.3:a:isc:bind:9.10.4:beta3:*:*:*:*:*:*

cpe:2.3:a:isc:bind:9.10.4:p1:*:*:*:*:*:*

cpe:2.3:a:isc:bind:9.11.0:-:*:*:*:*:*:*

cpe:2.3:a:isc:bind:9.11.0:alpha1:*:*:*:*:*:*

cpe:2.3:a:isc:bind:9.11.0:alpha2:*:*:*:*:*:*

cpe:2.3:a:isc:bind:9.11.0:alpha3:*:*:*:*:*:*

cpe:2.3:a:isc:bind:9.11.0:beta1:*:*:*:*:*:*

Configuration 3

OR

cpe:2.3:o:fedoraproject:fedora:23:*:*:*:*:*:*:*

cpe:2.3:o:fedoraproject:fedora:24:*:*:*:*:*:*:*

Configuration 4

OR

cpe:2.3:o:redhat:enterprise_linux_desktop:6.0:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_desktop:7.0:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_eus:7.2:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_eus:7.3:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_eus:7.4:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_eus:7.5:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_eus:7.6:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_eus:7.7:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_server:6.0:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_server:7.0:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_server_aus:7.2:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_server_aus:7.3:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_server_aus:7.6:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_server_aus:7.7:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_server_tus:7.2:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_server_tus:7.3:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_server_tus:7.6:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_server_tus:7.7:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_workstation:6.0:*:*:*:*:*:*:*

cpe:2.3:o:redhat:enterprise_linux_workstation:7.0:*:*:*:*:*:*:*

Tenable Plugins

View all (26 total)

IDNameProductFamilySeverity
127330NewStart CGSL MAIN 4.05 : bind Multiple Vulnerabilities (NS-SA-2019-0102)NessusNewStart CGSL Local Security Checks
medium
124936EulerOS Virtualization 3.0.1.0 : bind (EulerOS-SA-2019-1433)NessusHuawei Local Security Checks
medium
102726RHEL 7 : bind (RHSA-2017:2533)NessusRed Hat Local Security Checks
medium
102125AIX bind Advisory : bind_advisory13.asc (IV89828) (IV89829) (IV89830) (IV89831) (IV90056)NessusAIX Local Security Checks
high
99499openSUSE Security Update : bind (openSUSE-2017-491)NessusSuSE Local Security Checks
high
99358SUSE SLES11 Security Update : bind (SUSE-SU-2017:1000-1)NessusSuSE Local Security Checks
high
99357SUSE SLES12 Security Update : bind (SUSE-SU-2017:0999-1)NessusSuSE Local Security Checks
high
99356SUSE SLED12 / SLES12 Security Update : bind (SUSE-SU-2017:0998-1)NessusSuSE Local Security Checks
high
97416EulerOS 2.0 SP1 : bind (EulerOS-SA-2016-1052)NessusHuawei Local Security Checks
high
9874ISC BIND 9.x < 9.9.9-P1 / 9.9.9-S3 / 9.10.4-P1 / 9.11.0b1 DoSNessus Network MonitorDNS Servers
medium
94968AIX 5.3 TL 12 : bind (IV90056) (deprecated)NessusAIX Local Security Checks
high
94967AIX 7.2 TL 0 : bind (IV89831) (deprecated)NessusAIX Local Security Checks
high
94966AIX 7.1 TL 3 : bind (IV89830) (deprecated)NessusAIX Local Security Checks
high
94965AIX 7.1 TL 4 : bind (IV89829) (deprecated)NessusAIX Local Security Checks
high
94964AIX 6.1 TL 9 : bind (IV89828) (deprecated)NessusAIX Local Security Checks
high
93994GLSA-201610-07 : BIND: Multiple vulnerabilitiesNessusGentoo Local Security Checks
high
93868Debian DLA-645-1 : bind9 security updateNessusDebian Local Security Checks
high
93748Debian DSA-3680-1 : bind9 - security updateNessusDebian Local Security Checks
high
93537Amazon Linux AMI : bind (ALAS-2016-745)NessusAmazon Linux Local Security Checks
medium
93020Fedora 23 : 32:bind (2016-3fba74e7f5)NessusFedora Local Security Checks
medium
92798Fedora 23 : 12:dhcp / bind99 (2016-2941b3264e)NessusFedora Local Security Checks
medium
92772FreeBSD : bind -- denial of service vulnerability (7a31e0de-5b6d-11e6-b334-002590263bf5)NessusFreeBSD Local Security Checks
medium
92647Fedora 24 : bind99 (2016-53f0c65f40)NessusFedora Local Security Checks
medium
92645Fedora 24 : 32:bind (2016-007efacd1c)NessusFedora Local Security Checks
medium
92523Slackware 13.0 / 13.1 / 13.37 / 14.0 / 14.1 / 14.2 / current : bind (SSA:2016-204-01)NessusSlackware Local Security Checks
medium
92493ISC BIND 9.x < 9.9.9-P2 / 9.10.x < 9.10.4-P2 / 9.11.0a3 < 9.11.0b2 lwres Query DoSNessusDNS
medium